package models

type AllFields struct {
	// common
	CtxUserIP   string
	CtxUserPort string
	KeyDomain   string
	KeyPath     string
	CtxID       string
	CtxUserID   string
	// codeword
	KeyType        string
	CtxFactor      float64
	KeyTargetType  string
	CtxTarget      string
	CtxAmount      int64
	CtxCode        string
	CtxPromocodeID string
	CtxReturnURL   string
	CtxEmail       string

	// customer
	KeyFromSource  string
	KeyFromID      string
	KeyFromPartner string
	CtxLogin       string
	CtxAccountID   string
	CtxPhone       string
	KeyCurrency    string
	CtxTariffID    string
	KeySuccess     uint8
	CtxPrice       int64
	CtxTariff      string
	CtxDiscount    string
	CtxRowPrice    int64
	CtxRowData     string

	// core
	CtxIDInt      int64
	CtxQuizID     int64
	CtxQuestionID int64

	// answerer
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string
	CtxQuiz       string
	CtxReferrer   string
	CtxSession    string
}
