package models

// выбираем все из аккаунтов и емитим
type InfoAccountCreated struct {
	CtxUserID    string //айдишник юзера из токена
	CtxAccountID string // айдишник свежесозданного аккаунта
}

// выбираем все из квизов и емитим
type InfoQuizCreated struct {
	CtxUserID string //айдишник юзера из токена
	CtxIDInt  int64  //айдишник создаваемого квиза
}

// выбираем квизы где статус == "start"
type InfoQuizPublish struct { // если статус меняется на start
	CtxUserID string //айдишник юзера из токена
	CtxIDInt  int64  //айдишник публикуемого квиза
}

// выбираем квизы где deleted == true
type InfoQuizDelete struct { // если квиз удаляется
	CtxUserID string //айдишник юзера из токена
	CtxIDInt  int64  //айдишник удаляемого квиза
}

// выбираем квизы где статус == "stop"
type InfoQuizStop struct { // если статус меняется на stop
	CtxUserID string //айдишник юзера из токена
	CtxIDInt  int64  //айдишник останавливаемого квиза
}

// выбираем по квизу все вопросы и делаем емит
type InfoQuestionCreate struct {
	CtxUserID     string //айдишник юзера из токена
	CtxIDInt      int64  //айдишник останавливаемого квиза
	CtxQuestionID int64  // айдишник вопроса
}

// выбираем по квизу все вопросы где deleted==true и делаем емит
type InfoQuestionDelete struct {
	CtxUserID     string //айдишник юзера из токена
	CtxIDInt      int64  //айдишник останавливаемого квиза
	CtxQuestionID int64  // айдишник вопроса
}
