package models

type InfoPromocodeCreated struct {
	CtxID         string //айдишник созданного промокода
	CtxUserID     string //айдишник юзера из токена
	KeyType       string //привилегия или скидка. или и то и другое, смотря что заполнено
	KeyTargetType string //privilege или service
	CtxTarget     string // айдишник привилегии или сервиса соответственно
	CtxAmount     int64  // если промик на привилегию
	CtxCode       string
}

type InfoFastlinkCreated struct {
	CtxID          string //айдишник созданного промокода
	CtxPromocodeID string //айдишник созданного промокода
	CtxUserID      string //айдишник юзера из токена
}

type InfoPromocodeDeleted struct {
	CtxID     string //айдишник созданного промокода
	CtxUserID string //айдишник юзера из токена
}

type InfoPromocodeActivated struct {
	CtxID     string //айдишник промокода
	CtxUserID string //айдишник юзера из токена
	CtxCode   string
}

type InfoFastlinkActivated struct {
	CtxID          string //айдишник промокода
	CtxUserID      string //айдишник юзера из токена
	CtxPromocodeID string //айдишник созданного промокода
}
