package models

type InfoCreateAccount struct {
	CtxUserID          string //айдишник юзера из токена
	KeyFromSource      string //метка, откуда пришел пользователь. если куки quizFrom не пустые, ставить quiz
	KeyFromID          string //значение той куки, quizFrom
	KeyFromPartner     string //то, что пишешь в поле partner
	CtxLogin           string // значение логина. мы там получаем его из сервиса авторизации
	CtxAccountID       string // айдишник свежесозданного аккаунта
	CtxEmail, CtxPhone string //значения из запроса
	KeyCurrency        string //значение валюты кошелька. сейчас там фиксированное, но потом пригодится
}

type InfoGetAccount struct {
	CtxUserID    string //айдишник юзера из токена
	CtxAccountID string // айдишник  аккаунта
}

type InfoAddToCart struct {
	CtxUserID    string //айдишник юзера из токена
	CtxAccountID string // айдишник аккаунта
	CtxTariffID  string //айдишник тарифа, добавленного в корзину
}

type InfoPayCart struct {
	CtxUserID    string //айдишник юзера из токена
	CtxAccountID string // айдишник аккаунта
	KeySuccess   uint8  // получилось оплатить или не хватило денег
	CtxPrice     int64  // сумма в копейках. если не удалось оплатить - записать сколько денег не хватило
	CtxTariff    string // через запятую список покупаемых тарифов
	CtxDiscount  string // через запятую список применённых скидок
	CtxRowPrice  int64  // стоимость без скидок
	CtxRowData   string // замаршаленные данные, которые обычно складываются в RawDetails
}
