package transfer

import (
	"context"
	"github.com/stretchr/testify/assert"
	"testing"
	"transfer_to_clickhouse/db"
)

func TestQuizCore_AccountEvents(t *testing.T) {
	ctx, cancel := context.WithCancel(context.Background())
	defer cancel()
	sqldb, err := db.NewSqlDatabase("host=localhost port=45432 user=squiz password=Redalert2 dbname=squiz sslmode=disable")
	assert.NoError(t, err)
	quizCore := NewQuizCore(sqldb, nil)
	err = quizCore.QuestionEvents(ctx)
	assert.NoError(t, err)
}
